Subject: Avoiding uninteresting merges in Cairo

From: Shawn Pearce <[email-masked]>
Date: Thu, 14 Dec 2006 21:06:29 -0500

I was just talking with jwatt today in #git and he pointed me at
the following email from

 http://lists.freedesktop.org/archives/cairo/2006-April/006648.html

after he had a merge gone wrong in his working directory and was
asking for help.

Cario has seriously been using `reset --hard HEAD^` as part of its
workflow since April?  Why haven't you pushed for a rebase merge
strategy to be tried before a trivial index merge as an option in
git-merge (e.g. pull.twohead=rebase recursive)?

--